Jump to content

MLPV2.4v7 Engine to work with Xcite! Partner Script


You are about to reply to a thread that has been inactive for 4162 days.

Please take a moment to consider if this thread is worth bumping.

Recommended Posts

I have the MLPV2.4v7 engine and it works beautifully. I have no issues so far that I could not fix. My problem is that in the ~~MLP Tool box and there are two different Xcite! scripts to use with the Xcite! Partner Script. There are the ~MLPT-xcite-adaptor3 v0a & ~MLPT-Xcite-adaptor4 v0g. I tried using both, (not at the same time), but neither seems to read the NC's and cause "arousal" in the Xcite! bits.  My NC's are correct and named appropriately for each script (.XCITE. & .XCITEADMINS.) and I have recompiled and reset the scripts with no errors, The Xcite! script causes the NC's to spam the channel so it is reading the NC's.  All my animations and even facial expressions work, no issues with the 2.4v7 like I said, the issue is with the ~MLPT-xcite-adaptors working with the Xcite! Partner Script, it just will not cause arousal. I have even had testers with both 3.0 & 4.0 Xcite! bits (security turned off) and nadda on their huds.I am trying to get this to work any help would be appreciated. I am not an expert scriptor but I can figure out simple scripts pretty easy and have read and reread the ~MLPT-xcite-adaptors and don't see any issue with them, I made no changes to them at all. Please help if anyone has had this issue or knows what I may be doing wrong.

Link to comment
Share on other sites

 


TaylaAtlantis Ashbourne wrote:

<snip>

 I tried using both, (not at the same time), but neither seems to read the NC's and cause "arousal" in the Xcite! bits. 

</snip>

I really prefer to be aroused by my partner rather than by a script.

 

Seriously.  Unless I am bonking my bed why would I want it arousing me?

Link to comment
Share on other sites

Xcite has been doing a lot of version updates, and generally every time they change a major version they make them incompatible with the older version protocols.... it may just be that the MLP adapter scripts are out of date with the newer protocols

I'm not aware of who wrote the xcite adapter scripts (I don't see them on the wiki), or I'd point you towards that person

Link to comment
Share on other sites

OK I am now getting the following errors now for the ~MLPT-Xcite-adaptor4 v0g script so now at least I can see if I can find a solution, if anyone can help. The errors are Script run-time error & Stack-Heap Collision. I have not altered the script in anyway and I have 88 pairs of animations (176 animations total). I have separated the xcite arousal NC's into 6 NC's. Can anyone put some in site into this. I am not an expert scriptor but can edit and figure out scripts usually but this has me stumped. I know the Stack Heap Collision is usually because you have too much in one NC but I separated min into 6. I have tried recompiling and even resetting, but still get the two errors, any insight???

Link to comment
Share on other sites

Well I finally got it working, after hours of trial and error I figured it out and Lear confirmed it once I found the issue. TOO much text in the NC's. That's what I get for being descriptive. SO down to 3 NC's. I just kept removing some each time till I finally did not get the error anymore. Be careful though, once you don't get the error when the bed resets, be sure to sit on the balls after because I got it from doing that after it stopped giving the error when first placed into the object. Problem solved!

Link to comment
Share on other sites

You are about to reply to a thread that has been inactive for 4162 days.

Please take a moment to consider if this thread is worth bumping.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...